package com.atmob.keyboard_android.component.base.interceptor

import com.atmob.keyboard_android.component.base.IUIComponent

/**
 * 路由拦截器接口
 */
interface IRouteInterceptor {
    /**
     * 初始化，只会调用一次
     */
    fun onInit()

    /**
     * 反初始化，取消注册时调用
     */
    fun onUnInit()

    /**
     * 拦截器的处理方法
     *
     * @param targetComponent 要路由到的目标组件
     * @param callback 拦截器回调
     */
    fun doProcess(targetComponent: IUIComponent, callback: InterceptorCallback)
}